org.eclipse.viatra.query.patternlanguage.emf.scoping

## Class EMFPatternLanguageLinkingService

- java.lang.Object
- - org.eclipse.xtext.linking.impl.AbstractLinkingService
  - - org.eclipse.xtext.linking.impl.DefaultLinkingService
    - - org.eclipse.viatra.query.patternlanguage.emf.scoping.EMFPatternLanguageLinkingService

- All Implemented Interfaces:
    org.eclipse.xtext.linking.ILinkingService

      public class EMFPatternLanguageLinkingService
      extends org.eclipse.xtext.linking.impl.DefaultLinkingService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageLinkingService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<org.eclipse.emf.ecore.EObject>` | `getLinkedObjects(org.eclipse.emf.ecore.EObject context, org.eclipse.emf.ecore.EReference ref, org.eclipse.xtext.nodemodel.INode node)`

    - ### Methods inherited from class org.eclipse.xtext.linking.impl.DefaultLinkingService

      `getCrossRefNodeAsString, getImportedNamesAdapter, getLinkingHelper, getScope, getScopeProvider, registerImportedNamesAdapter, registerImportedNamesAdapter, setScopeProvider, unRegisterImportedNamesAdapter, unRegisterImportedNamesAdapter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageLinkingService

          public EMFPatternLanguageLinkingService()

  - ### Method Detail

    - #### getLinkedObjects

          public java.util.List<org.eclipse.emf.ecore.EObject> getLinkedObjects(org.eclipse.emf.ecore.EObject context,
                                                                                org.eclipse.emf.ecore.EReference ref,
                                                                                org.eclipse.xtext.nodemodel.INode node)

      Specified by:
        `getLinkedObjects` in interface `org.eclipse.xtext.linking.ILinkingService`
      Overrides:
        `getLinkedObjects` in class `org.eclipse.xtext.linking.impl.DefaultLinkingService`